Subject: Re: 2.6.24-rc3: find complains about /proc/net

From: Ingo Molnar <[email-masked]>
Date: Wed, 21 Nov 2007 00:01:06 +0100

* Roland McGrath <[email-masked]> wrote:

> When did /proc/self get changed to follow tgid instead of pid?  glibc 
> uses /proc/self to refer to various things that are usually shared 
> anyway (fd, maps, cwd, exe), but I think the expectation has always 
> been that this refers to the same calling thread, not the group 
> leader.  e.g., if one thread has changed uids so it no longer has 
> access to the group leader's /proc/PID/fd, suddenly it using 
> /proc/self/fd starts failing.

i guess it was a v2.6.24 change, hence a regression that needs to be 
fixed?

	Ingo